import Component from '../component.js'
import DivComponent from '../div.js'
import CoEuiAppSidebarBody from './eui-app-sidebar-body.js'
import CoEuiAppSidebarDrawer from './eui-app-sidebar-drawer.js';
import CoEuiAppSidebarFooter from './eui-app-sidebar-footer.js';
import CoEuiAppSidebarHeader from './eui-app-sidebar-header.js';
import CoEuiAppSidebarHeaderUserProfile from './eui-app-sidebar-header-user-profile.js';

export default class CoEuiAppSidebar extends Component {
  constructor(parent) {
    let selector = 'eui-app-sidebar';
    super(parent, selector);
    //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/layout/eui-app/eui-app-sidebar/sidebar.component.html
  }
  get contentCO() {
    return new DivComponent(this.currentPath).byClassContains('eui-app-sidebar-content');
  }
  get euiAppSidebarHeaderUserProfileCO() {
    return new CoEuiAppSidebarHeaderUserProfile(this.contentCO);
  }
  get euiAppSidebarHeaderCO() {
    return new CoEuiAppSidebarHeader(this.contentCO);
  }
  get euiAppSidebarBodyCO() {
    return new CoEuiAppSidebarBody(this.contentCO);
  }
  get euiAppSidebarFooterCO() {
    return new CoEuiAppSidebarFooter(this.contentCO);
  }
  get euiAppSidebarDrawerCO() {
    return new CoEuiAppSidebarDrawer(this.contentCO);
  }
}

